%% Problem 3
% INPUT
% r - radius of the circle
% centre - centre of the circle. A two dimensional vector
% p, q - vectors specifying the line G
% OUTPUT
% intersection - intersection of the circle and the vector

% Note that sometimes you may need to write more than one line of code
function intersection = Problem3(r, centre, p, q)

% Coefficients for the governing quadratic polynomial, which suit the
% form the function zerosquadpol expects. !!
alpha = ;
beta = ;

% The roots can then be computed by
tau = zerosquadpolstab(alpha, beta);

% The case when intersections exist !!
if 
    % Compute a point of intersection !!
    intersection = ;
    
    % Plotting
    % Plot the circle
    phi = 0:pi/50:2*pi;
    x = r * cos(phi) + centre(1);
    y = r * sin(phi) + centre(2);
    plot(x, y,'k');
    axis equal
    hold on
    
    % Plot the line G !!
    plot(, , 'b--');
    
    % Plot the intersection
    plot(intersection(1), intersection(2), 'ro', 'LineWidth', 1.5);
    
    legend('The circle C', 'Line G', 'Intersection');

% The case when intersection does not exist
else
    intersection = [];
    disp('There are no solutions');

    % Plotting
    % Plot the circle
    phi = 0:pi/50:2*pi;
    x = r * cos(phi) + centre(1);
    y = r * sin(phi) + centre(2);
    plot(x, y, 'k');
    axis equal
    hold on
    
    % Plot the line G    
    plot(, , 'b--');
    legend('The circle C', 'Line G');
    
end


