%% Problem 4
% INPUT
% a, b - Distinct points in R^2
% p, q - vectors specifying a line G
% OUTPUT
% s, t - vectors specifying the line of reflection

% Note that sometimes you may need to write more than one line of code
function [s, t] = Problem4(a, b, p, q)

% Calculate the vector specifying the line ab !!
qab =;
% Compute the point of intersection and the bisectors !!
% Remember your codes from Problem2b and Problem2a (but without plotting)
% You can find those templates at the end of this code, with the plotting
% parts deleted.

% Define your output
t = ;
s = ;

% Plotting
figure

% Plot Line G !!
plot(, , 'r');
axis equal
hold on

% Plot the line through a and b !!
plot(, , 'k');

% Plotting the points a, b and the intersection
plot(intersection(1), intersection(2),'bo','LineWidth',1.5);
plot(a(1), a(2),'b*','LineWidth',1.5);
plot(b(1), b(2),'b+','LineWidth',1.5);

% Plot the line of reflection !!
plot(, , 'g--');

% Plot the reflected points !!
% First, compute the reflection points (you may use parts of Problem 2a)
aReflected = Problem2aNoPlot( , , );
bReflected = Problem2aNoPlot( , , );

% Plotting the reflected points 
plot(aReflected(1), aReflected(2),'r*','LineWidth',1.5);
plot(bReflected(1), bReflected(2),'r+','LineWidth',1.5);

% Plotting how did the reflections go
plot([aReflected(1) a(1)],[aReflected(2) a(2)],'k--');
plot([bReflected(1) b(1)],[bReflected(2) b(2)],'k--');

legend('The line G','Line connecting a and b', 'Intersection','Point a',...
    'Point b', 'Line of reflection', 'Reflection of a','Reflection of b');
end



%% Fill in the necessary line in the following two function in the same way
% you did before !!
function [s, t] = Problem2bNoPlot(p1, q1, p2, q2)

% First examine special cases, in which there might be no solutions !!
if 
    if 
        % If G_1 and G_2 are the same line !!
        disp('These lines are the same');
        s = p1;
        t = q1;
    else
        % If there is no solution !!
        disp(' ');
        s = [];
        t = [];
    end
    return
end

% Determine the intersection of G_1 and G_2
% To compute it you have to solve a system of linear equations
% The intersection s can then be calculated from the solution of the
% governing linear equation !!

s = ;

% Determine the orientation parameter of your bisector (that is _t_). !!
t = ;
end

function aReflect = Problem2aNoPlot(a, p, q)

% Compute the reflection point !!
aReflect = 

end