%%Problem5
% INPUT
% a, b, c - Points in R^2
% p, q - Vectors specifying a line G
% OUTPUT
% s, t - vectors specifying the line of reflection

% Remember your codes from Problem3 (but without plotting)
% You can find those templates at the end of this code, with the plotting
% parts deleted.

% Note that sometimes you may need to write more than one line of code
function [s, t] = Problem5(a1, a2, a3, p, q)
    
    % Determine the centroid of the triangle !!
    c = ;
        
    % Check whether there is a solution !!    
    if 
        disp('Such a reflection line does not exist');
        s = [];
        t = [];
        return
    % If a solution exists we go compute it and plot whatever is needed
    else
       % Compute parameters of the relfection line !! 
       t = ;
       s = ;
       
       % Plotting
       % Plot the line of reflection !!
       plot(, , 'k--');

       % Plotting the circle
       phi = 0:pi/50:2*pi;
       axis equal
       hold on
       x = r * cos(phi) + centre(1);
       y = r * sin(phi) + centre(2);
       plot(x, y, 'k');
       
       % Plotting the triangle
       plot(a1(1), a1(2),'bo','LineWidth', 1.5);
       plot(a2(1), a2(2),'bo','LineWidth', 1.5);
       plot(a3(1), a3(2),'bo','LineWidth', 1.5);
       plot([a1(1) a2(1)], [a1(2) a2(2)], 'b');
       plot([a1(1) a3(1)], [a1(2) a3(2)], 'b');
       plot([a3(1) a2(1)], [a3(2) a2(2)], 'b');
       
       % Plotting the centroid
       plot(c(1), c(2),'ro','LineWidth',1.5);
       
       % Plot the line G !!
       plot(, , 'r--');
    end
end


function [intersection] = Problem3NoPlot(r, centre, p, q)

% Coefficients for the governing quadratic polynomial, which appease the
% form the function zerosquadpol expects. !!
alpha =;
beta = ;

% The roots can then be computed by
tau = zerosquadpolstab(alpha, beta);

% The case when intersections exist !!
if 
    % Compute a point of intersection !!
    intersection = ;
    
% The case when intersection does not exist
else
    intersection = [];
end

end


